Bug 151803 - CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker
Summary: CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050124,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-22 15:44 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:05:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Dave Miller for RHEL2.1 (7.25 KB, patch)
2005-03-22 15:44 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:283 high SHIPPED_LIVE Important: kernel security update 2005-04-28 04:00:00 UTC

Description Mark J. Cox 2005-03-22 15:44:46 UTC
This issue now is known to affect linux-2.4

+++ This bug was initially created as a clone of Bug #147468 +++

vendor-sec made us aware of a security relevant problem yesterday (remote
opps/firewall bypass) in the netdev code. 

  http://linux.bkbits.net:8080/linux-2.5/cset@41f8843a8ZMCNuP3meYAYnnXd3CO_g

This is the relevant thread:

  http://oss.sgi.com/archives/netdev/2005-01/msg01036.html

Passed to PeterM for investigation, the patch breaks kABI.

Comment 1 Mark J. Cox 2005-03-22 15:44:47 UTC
Created attachment 112215 [details]
Proposed patch from Dave Miller for RHEL2.1

Comment 2 Jim Paradis 2005-04-19 17:40:57 UTC
A fix for this problem has been committed to the RHEL21 source pool in kernel
version 2.4.9-e.62


Comment 3 John Flanagan 2005-04-28 15:05:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-283.html



Note You need to log in before you can comment on or make changes to this bug.